Bug 188 - ImageMagick modules generate errors when reading postscript
ImageMagick modules generate errors when reading postscript
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1998-11-24 12:51 EST by simon
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-02-10 16:39:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description simon 1998-11-24 12:51:55 EST
Below I have appended the errors generated by the
ImageMagick module convert. The same errors are generated by
display. I have just installed RH5.2 which uses
ImageMagick-4.1.0. RH5.1 did not generate these errors. Only
Unknown device: pnmraw. I have tested many postscript files
generated from many different softwares, and the result is
the same. What is the cause, and what is the fix for this


--Simon McClusky

convert figure2.ps figure2.gif
Unknown device: pnmraw
Unrecoverable error: undefined in get
Operand stack:
    --nostringval--  --nostringval--  ARGUMENTS
--nostringval--  defaultdevice

Unexpected interpreter error -21.
Error object: (f80)op(207:get)0x80811e0
Operand stack at 0x813cc74:
0x81446a4: 0x0d name --S------ 0x0480 0x08184d08 =
0x81446ac: 0x02 dict --Lwrx--- 0x0000 0x0814b894
0x81446b4: 0x0d name --S------ 0x0283 0x0813ff88 = ARGUMENTS
0x81446bc: 0x02 dict --Gwrx--- 0x0813 0x08180124
0x81446c4: 0x0c mark --F------ 0x0000 0x081839fa
Execution stack at 0x813ccc8:
0x814600c: 0x0f oper --F---e-- 0x0000 0x08071650 =
0x8146014: 0x03 file --G-rxe-- 0x0001 0x0817b620
0x814601c: 0x05 mpry --G-rxe-- 0x0009 0x0817c3fc
0x8146024: 0x05 mpry --G-rxe-- 0x0039 0x0817ca72
Dictionary stack at 0x813cbf0:
0x814683c: 0x02 dict --Gwrx--- 0x0000 0x0814698c
0x8146844: 0x02 dict --Gwrx--- 0x0000 0x0814698c
0x814684c: 0x02 dict --Lwrx--- 0x0000 0x0814b894
0x8146854: 0x02 dict --Gwrx--- 0x0000 0x0814698c
Comment 1 Preston Brown 1998-11-24 16:30:59 EST
this looks like the pnmraw device has to be enabled in ghostscript.
Cristian, you agree with this one?
Comment 2 simon 1998-11-24 17:12:59 EST
It is not clear to me that pnmraw is the problem, as both RH5.0 and
5.1 versions of gs did not have pnmraw devices. Also the ImageMagick
documentations says it only requires either a pnmraw or ppmraw device.
gs -h shows that ppmraw is available. Also, the first error message
Unknown device: pnmraw was common to both the RH5.0 and 5.1
ImageMagick packages too. Additionally gs used by itself doen't
generate any error messages, which indicates to me that this problem
is probably related to how gs and the ImageMagick modules interact
with each other...

--Simon McClusky
Comment 3 Preston Brown 1999-02-10 16:39:59 EST
the imagemagick/ghostscript combination that is now in rawhide does
not have problems converting Postscript files to GIF.

Note You need to log in before you can comment on or make changes to this bug.